下单前校验
POST /app/laiyipiao/food/check-order上游对应:
interfaceCode=checkOrder
| 字段 | 名称 | 类型 | 必填 |
|---|---|---|---|
| brand | 品牌标识 | string | 是 |
| storeCode | 门店编码 | string | 是 |
| goods | 商品列表 | array | 是 |
| goods[].itemNo | 商品编号 | string | 是 |
| goods[].skuNo | SKU编号 | string | 是 |
| goods[].num | 数量 | int | 是 |
| receiverLng | 收货人经度 | string | 外卖必填 |
| receiverLat | 收货人纬度 | string | 外卖必填 |
| receiverName | 收货人姓名 | string | 外卖必填 |
| receiverPhone | 收货人手机号 | string | 外卖必填 |
| receiverAddress | 收货地址 | string | 外卖必填 |
| cityId | 城市ID | string | 是 |
| 字段 | 名称 | 类型 |
|---|---|---|
| data.goods | 校验后的商品 | array |
| data.cityId | 城市ID | number |
| data.city | 城市名 | string |
| data.storeCode | 门店编码 | string |
| data.storeName | 门店名称 | string |
| data.address | 门店地址 | string |
| data.starttime | 营业开始时间 | string |
| data.endtime | 营业结束时间 | string |
| data.officialStatus | 是否官方门店 | boolean |
| data.deliveryPrice | 配送费 | number |
goods[]
Section titled “goods[]”| 字段 | 名称 | 类型 |
|---|---|---|
| goodsId | 商品ID | string |
| goodsName | 商品名称 | string |
| goodsImg | 商品图片 | string |
| num | 数量 | number |
| totalOriginalPrice | 原总价 | number |
| totalSalePrice | 行总价 | number |
| originalPrice | 单品原价 | number |
| salePrice | 单品售价 | number |
| putDetailJson | 商品详情json | string |
| goodsOutId | 外部商品ID | null/string |
下单金额建议:
sum(goods[].totalSalePrice)。
{ "code": 0, "data": { "result": { "goods": [ { "goodsId": "SP2404", "goodsName": "橙C美式", "goodsImg": "https://cdn-product-prod.yummy.tech:443/productmanager-admin/2024/06/370032a5ffe34db196b78e06922e2542_橙C美式.png", "num": 1, "totalOriginalPrice": 29, "totalSalePrice": 8.86, "originalPrice": 29, "salePrice": 8.86, "goodsOutId": null }, { "goodsId": "SP2405", "goodsName": "橙C气泡冰萃", "goodsImg": "https://cdn-product-prod.yummy.tech:443/productmanager-admin/2024/06/c8c59ab6b4374580b51aa6b19847434e_橙C气泡冰萃.png", "num": 1, "totalOriginalPrice": 29, "totalSalePrice": 8.86, "originalPrice": 29, "salePrice": 8.86, "goodsOutId": null } ], "cityId": 16, "city": "武汉", "storeCode": "20300007509", "storeName": "泰塑学生公寓店", "address": "江夏区流芳大道特1号泰塑学生公寓北门西侧1层底商(零食很忙内)", "starttime": "08:00", "endtime": "20:30", "officialStatus": true, "deliveryPrice": 0 } }, "msg": "success"}